diff --git a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
index 1893944..52a7ce0 100644
--- a/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
+++ b/lib/app/modules/petugas_desa/views/detail_penyaluran_page.dart
@@ -697,70 +925,82 @@ class DetailPenyaluranPage extends StatelessWidget {
     // Cek apakah filter ini yang aktif
     isSelected = statusFilter.value == filterValue;
 
-    // Tentukan icon berdasarkan jenis filter
+    // Tentukan icon dan warna berdasarkan jenis filter
     IconData filterIcon;
+    Color chipColor;
+
     if (label == 'Semua') {
       filterIcon = Icons.list_alt;
+      chipColor = AppTheme.primaryColor;
     } else if (label == 'Sudah Menerima') {
       filterIcon = Icons.check_circle;
+      chipColor = AppTheme.successColor;
     } else {
       filterIcon = Icons.pending;
+      chipColor = AppTheme.warningColor;
     }
 
-    return FilterChip(
-      avatar: Icon(
-        filterIcon,
-        size: 16,
-        color: isSelected ? Colors.white : AppTheme.primaryColor,
-      ),
-      label: Row(
-        mainAxisSize: MainAxisSize.min,
-        children: [
-          Text(label),
-          const SizedBox(width: 4),
-          Container(
-            padding: const EdgeInsets.symmetric(horizontal: 6, vertical: 2),
-            decoration: BoxDecoration(
-              color: isSelected
-                  ? Colors.white.withOpacity(0.3)
-                  : AppTheme.primaryColor.withOpacity(0.1),
-              borderRadius: BorderRadius.circular(10),
+    return InkWell(
+      onTap: () {
+        statusFilter.value = filterValue;
+      },
+      borderRadius: BorderRadius.circular(20),
+      child: Container(
+        padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+        decoration: BoxDecoration(
+          color: isSelected ? chipColor : Colors.white,
+          borderRadius: BorderRadius.circular(20),
+          boxShadow: [
+            if (isSelected)
+              BoxShadow(
+                color: chipColor.withOpacity(0.3),
+                blurRadius: 4,
+                offset: const Offset(0, 2),
+              )
+          ],
+          border: Border.all(
+            color: isSelected ? Colors.transparent : Colors.grey.shade300,
+            width: 1.5,
+          ),
+        ),
+        child: Row(
+          mainAxisSize: MainAxisSize.min,
+          children: [
+            Icon(
+              filterIcon,
+              size: 16,
+              color: isSelected ? Colors.white : chipColor,
             ),
-            child: Text(
-              '$count',
+            const SizedBox(width: 6),
+            Text(
+              label,
               style: TextStyle(
-                fontSize: 10,
-                fontWeight: FontWeight.bold,
-                color: isSelected ? Colors.white : AppTheme.primaryColor,
+                fontSize: 13,
+                fontWeight: isSelected ? FontWeight.bold : FontWeight.normal,
+                color: isSelected ? Colors.white : Colors.black87,
               ),
             ),
-          ),
-        ],
-      ),
-      selected: isSelected,
-      // checkmarkColor: Colors.white,
-      showCheckmark: false,
-      selectedColor: AppTheme.primaryColor,
-      labelStyle: TextStyle(
-        color: isSelected ? Colors.white : Colors.black87,
-        fontWeight: isSelected ? FontWeight.bold : FontWeight.normal,
-      ),
-      backgroundColor: Colors.white,
-      elevation: isSelected ? 0 : 1,
-      shadowColor: Colors.grey.withOpacity(0.2),
-      padding: const EdgeInsets.symmetric(horizontal: 8, vertical: 8),
-      shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(20),
-        side: BorderSide(
-          color: isSelected ? Colors.transparent : Colors.grey.shade300,
-          width: 1,
+            const SizedBox(width: 6),
+            Container(
+              padding: const EdgeInsets.symmetric(horizontal: 6, vertical: 2),
+              decoration: BoxDecoration(
+                color: isSelected
+                    ? Colors.white.withOpacity(0.3)
+                    : chipColor.withOpacity(0.1),
+                borderRadius: BorderRadius.circular(10),
+              ),
+              child: Text(
+                '$count',
+                style: TextStyle(
+                  fontSize: 11,
+                  fontWeight: FontWeight.bold,
+                  color: isSelected ? Colors.white : chipColor,
+                ),
+              ),
+            ),
+          ],
         ),
       ),
-      onSelected: (selected) {
-        if (selected) {
-          statusFilter.value = filterValue;
-        }
-      },
     );
   }
 
@@ -781,47 +1021,66 @@ class DetailPenyaluranPage extends StatelessWidget {
     final warga = item.warga;
     final bool sudahMenerima =
         item.statusPenerimaan?.toUpperCase() == 'DITERIMA';
-    final Color cardColor = Colors.white;
-    final Color borderColor = Colors.grey.shade300;
+    final Color statusColor =
+        sudahMenerima ? AppTheme.successColor : AppTheme.warningColor;
 
     return Card(
-      elevation: 2,
+      elevation: 3,
+      shadowColor: Colors.grey.withOpacity(0.2),
       shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(12),
-        side: BorderSide(color: borderColor, width: 1.5),
+        borderRadius: BorderRadius.circular(16),
+        side: BorderSide(
+          color: sudahMenerima
+              ? statusColor.withOpacity(0.3)
+              : Colors.grey.shade200,
+          width: 1.5,
+        ),
       ),
-      color: cardColor,
       child: InkWell(
         onTap: () => _showDetailPenerima(context, item),
-        borderRadius: BorderRadius.circular(12),
+        borderRadius: BorderRadius.circular(16),
         child: Padding(
-          padding: const EdgeInsets.all(12.0),
+          padding: const EdgeInsets.all(16.0),
           child: Row(
             crossAxisAlignment: CrossAxisAlignment.center,
             children: [
-              // Avatar
-              CircleAvatar(
-                radius: 24,
-                backgroundColor: sudahMenerima
-                    ? AppTheme.successColor.withOpacity(0.2)
-                    : AppTheme.primaryColor.withOpacity(0.1),
-                child: Text(
-                  warga != null && warga['nama_lengkap'] != null
-                      ? warga['nama_lengkap']
-                          .toString()
-                          .substring(0, 1)
-                          .toUpperCase()
-                      : '?',
-                  style: TextStyle(
-                    fontWeight: FontWeight.bold,
-                    color: sudahMenerima
-                        ? AppTheme.successColor
-                        : AppTheme.primaryColor,
-                    fontSize: 20,
+              // Avatar dengan border berwarna
+              Container(
+                decoration: BoxDecoration(
+                  shape: BoxShape.circle,
+                  border: Border.all(
+                    color: statusColor.withOpacity(0.5),
+                    width: 2,
+                  ),
+                  boxShadow: [
+                    BoxShadow(
+                      color: statusColor.withOpacity(0.2),
+                      blurRadius: 8,
+                      offset: const Offset(0, 2),
+                    ),
+                  ],
+                ),
+                child: CircleAvatar(
+                  radius: 28,
+                  backgroundColor: sudahMenerima
+                      ? statusColor.withOpacity(0.15)
+                      : Colors.grey.shade50,
+                  child: Text(
+                    warga != null && warga['nama_lengkap'] != null
+                        ? warga['nama_lengkap']
+                            .toString()
+                            .substring(0, 1)
+                            .toUpperCase()
+                        : '?',
+                    style: TextStyle(
+                      fontWeight: FontWeight.bold,
+                      color: sudahMenerima ? statusColor : Colors.grey.shade700,
+                      fontSize: 22,
+                    ),
                   ),
                 ),
               ),
-              const SizedBox(width: 12),
+              const SizedBox(width: 16),
 
               // Informasi penerima
               Expanded(
@@ -829,45 +1088,76 @@ class DetailPenyaluranPage extends StatelessWidget {
                   crossAxisAlignment: CrossAxisAlignment.start,
                   mainAxisSize: MainAxisSize.min,
                   children: [
-                    // Nama dan NIK
-                    Text(
-                      warga != null
-                          ? warga['nama_lengkap'] ?? 'Nama tidak tersedia'
-                          : 'Nama tidak tersedia',
-                      style: const TextStyle(
-                        fontWeight: FontWeight.bold,
-                        fontSize: 16,
-                      ),
-                      maxLines: 1,
-                      overflow: TextOverflow.ellipsis,
-                    ),
-                    const SizedBox(height: 2),
-                    Text(
-                      'NIK: ${warga != null ? warga['nik'] ?? '-' : '-'}',
-                      style: TextStyle(
-                        fontSize: 13,
-                        color: Colors.grey[600],
-                      ),
-                      maxLines: 1,
-                      overflow: TextOverflow.ellipsis,
+                    // Nama
+                    Row(
+                      children: [
+                        Expanded(
+                          child: Text(
+                            warga != null
+                                ? warga['nama_lengkap'] ?? 'Nama tidak tersedia'
+                                : 'Nama tidak tersedia',
+                            style: const TextStyle(
+                              fontWeight: FontWeight.bold,
+                              fontSize: 16,
+                            ),
+                            maxLines: 1,
+                            overflow: TextOverflow.ellipsis,
+                          ),
+                        ),
+                        // Icon indicator (arrow or check)
+                        Container(
+                          padding: const EdgeInsets.all(4),
+                          decoration: BoxDecoration(
+                            color: sudahMenerima
+                                ? statusColor.withOpacity(0.1)
+                                : Colors.grey.shade100,
+                            shape: BoxShape.circle,
+                          ),
+                          child: Icon(
+                            sudahMenerima
+                                ? Icons.check_circle
+                                : Icons.arrow_forward,
+                            size: 18,
+                            color: sudahMenerima
+                                ? statusColor
+                                : Colors.grey.shade400,
+                          ),
+                        ),
+                      ],
                     ),
 
                     const SizedBox(height: 4),
+
+                    // NIK dengan icon
+                    Row(
+                      children: [
+                        Icon(
+                          Icons.credit_card,
+                          size: 14,
+                          color: Colors.grey.shade600,
+                        ),
+                        const SizedBox(width: 4),
+                        Expanded(
+                          child: Text(
+                            'NIK: ${warga != null ? warga['nik'] ?? '-' : '-'}',
+                            style: TextStyle(
+                              fontSize: 13,
+                              color: Colors.grey[600],
+                            ),
+                            maxLines: 1,
+                            overflow: TextOverflow.ellipsis,
+                          ),
+                        ),
+                      ],
+                    ),
+
+                    const SizedBox(height: 8),
+
+                    // Status penerimaan
                     _buildStatusChipNew(item.statusPenerimaan ?? '-'),
                   ],
                 ),
               ),
-
-              // Status dan icon
-              Column(
-                mainAxisSize: MainAxisSize.min,
-                children: [
-                  Icon(Icons.arrow_forward_ios,
-                      size: 14,
-                      color:
-                          sudahMenerima ? AppTheme.successColor : Colors.grey),
-                ],
-              ),
             ],
           ),
         ),
@@ -878,38 +1168,63 @@ class DetailPenyaluranPage extends StatelessWidget {
   Widget _buildStatusBadge(String status) {
     Color backgroundColor;
     Color textColor = Colors.white;
+    IconData statusIcon;
     String statusText = _getStatusText(status);
 
     switch (status.toUpperCase()) {
       case 'DIJADWALKAN':
         backgroundColor = AppTheme.processedColor;
+        statusIcon = Icons.calendar_today;
         break;
       case 'AKTIF':
         backgroundColor = AppTheme.scheduledColor;
+        statusIcon = Icons.play_circle_outline;
         break;
       case 'TERLAKSANA':
         backgroundColor = AppTheme.completedColor;
+        statusIcon = Icons.check_circle_outline;
         break;
       case 'BATALTERLAKSANA':
         backgroundColor = AppTheme.errorColor;
+        statusIcon = Icons.cancel_outlined;
         break;
       default:
         backgroundColor = AppTheme.infoColor;
+        statusIcon = Icons.info_outline;
     }
 
     return Container(
-      padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+      padding: const EdgeInsets.symmetric(horizontal: 10, vertical: 6),
       decoration: BoxDecoration(
-        color: backgroundColor,
-        borderRadius: BorderRadius.circular(16),
+        color: Colors.white,
+        borderRadius: BorderRadius.circular(20),
+        boxShadow: [
+          BoxShadow(
+            color: backgroundColor.withOpacity(0.3),
+            spreadRadius: 1,
+            blurRadius: 3,
+            offset: const Offset(0, 1),
+          ),
+        ],
       ),
-      child: Text(
-        statusText,
-        style: TextStyle(
-          color: textColor,
-          fontSize: 14,
-          fontWeight: FontWeight.bold,
-        ),
+      child: Row(
+        mainAxisSize: MainAxisSize.min,
+        children: [
+          Icon(
+            statusIcon,
+            size: 16,
+            color: backgroundColor,
+          ),
+          const SizedBox(width: 6),
+          Text(
+            statusText,
+            style: TextStyle(
+              color: backgroundColor,
+              fontSize: 14,
+              fontWeight: FontWeight.bold,
+            ),
+          ),
+        ],
       ),
     );
   }
@@ -920,8 +1235,32 @@ class DetailPenyaluranPage extends StatelessWidget {
     if (controller.isProcessing.value) {
       return Container(
         padding: const EdgeInsets.all(16.0),
+        decoration: BoxDecoration(
+          color: Colors.white,
+          boxShadow: [
+            BoxShadow(
+              color: Colors.grey.withOpacity(0.2),
+              spreadRadius: 1,
+              blurRadius: 5,
+              offset: const Offset(0, -3),
+            ),
+          ],
+        ),
         child: const Center(
-          child: CircularProgressIndicator(),
+          child: Column(
+            mainAxisSize: MainAxisSize.min,
+            children: [
+              CircularProgressIndicator(),
+              SizedBox(height: 8),
+              Text(
+                'Memproses...',
+                style: TextStyle(
+                  fontWeight: FontWeight.bold,
+                  color: AppTheme.primaryColor,
+                ),
+              ),
+            ],
+          ),
         ),
       );
     }
@@ -951,34 +1290,65 @@ class DetailPenyaluranPage extends StatelessWidget {
     Widget cancelButton = Expanded(
       child: OutlinedButton.icon(
         icon: const Icon(Icons.cancel),
-        label: const Text('Batalkan'),
+        label: const Text(
+          'Batalkan',
+          style: TextStyle(fontWeight: FontWeight.bold),
+        ),
         style: OutlinedButton.styleFrom(
           foregroundColor: AppTheme.errorColor,
-          side: const BorderSide(color: AppTheme.errorColor),
+          side: const BorderSide(color: AppTheme.errorColor, width: 1.5),
           padding: const EdgeInsets.symmetric(vertical: 16),
+          shape: RoundedRectangleBorder(
+            borderRadius: BorderRadius.circular(12),
+          ),
         ),
         onPressed: () => _showBatalkanDialog(context),
       ),
     );
 
     if (status == 'AKTIF') {
+      final bool allReceived = controller.penerimaPenyaluran.every(
+          (penerima) => penerima.statusPenerimaan?.toUpperCase() == 'DITERIMA');
+
       return buildButtonContainer([
         Expanded(
           child: ElevatedButton.icon(
-            icon: const Icon(Icons.check_circle),
-            label: const Text('Selesaikan'),
-            style: ElevatedButton.styleFrom(
-              backgroundColor: AppTheme.successColor,
-              foregroundColor: Colors.white,
-              padding: const EdgeInsets.symmetric(vertical: 16),
-              // Tombol disabled jika belum semua penerima menerima bantuan
-              disabledBackgroundColor: Colors.grey.shade300,
-              disabledForegroundColor: Colors.grey.shade700,
+            icon: allReceived
+                ? const Icon(Icons.check_circle)
+                : const Icon(Icons.info_outline),
+            label: Text(
+              'Selesaikan',
+              style: TextStyle(
+                fontWeight: FontWeight.bold,
+                fontSize: allReceived ? 16 : 14,
+              ),
             ),
-            onPressed: controller.penerimaPenyaluran.every((penerima) =>
-                    penerima.statusPenerimaan?.toUpperCase() == 'DITERIMA')
+            style: ElevatedButton.styleFrom(
+              backgroundColor:
+                  allReceived ? AppTheme.successColor : Colors.grey.shade300,
+              foregroundColor:
+                  allReceived ? Colors.white : Colors.grey.shade700,
+              padding: const EdgeInsets.symmetric(vertical: 16),
+              elevation: allReceived ? 2 : 0,
+              shape: RoundedRectangleBorder(
+                borderRadius: BorderRadius.circular(12),
+              ),
+            ),
+            onPressed: allReceived
                 ? controller.selesaikanPenyaluran
-                : null,
+                : () => Get.snackbar(
+                      'Perhatian',
+                      'Masih ada penerima yang belum menerima bantuan',
+                      backgroundColor: Colors.orange.shade100,
+                      colorText: Colors.orange.shade800,
+                      snackPosition: SnackPosition.BOTTOM,
+                      margin: const EdgeInsets.all(16),
+                      borderRadius: 10,
+                      icon: const Icon(
+                        Icons.warning_amber_rounded,
+                        color: Colors.orange,
+                      ),
+                    ),
           ),
         ),
         const SizedBox(width: 12),
@@ -1047,53 +1417,161 @@ class DetailPenyaluranPage extends StatelessWidget {
 
   void _showBatalkanDialog(BuildContext context) {
     final TextEditingController alasanController = TextEditingController();
+    final isAlasanEmpty = false.obs;
 
-    showDialog(
-      context: context,
-      builder: (context) => AlertDialog(
-        title: const Text('Batalkan Penyaluran'),
-        content: Column(
-          mainAxisSize: MainAxisSize.min,
-          children: [
-            const Text('Masukkan alasan pembatalan penyaluran:'),
-            const SizedBox(height: 16),
-            TextField(
-              controller: alasanController,
-              decoration: const InputDecoration(
-                hintText: 'Alasan pembatalan',
-                border: OutlineInputBorder(),
-              ),
-              maxLines: 3,
-            ),
-          ],
+    Get.dialog(
+      Dialog(
+        shape: RoundedRectangleBorder(
+          borderRadius: BorderRadius.circular(16),
         ),
-        actions: [
-          TextButton(
-            onPressed: () => Get.back(),
-            child: const Text('Batal'),
+        child: Container(
+          padding: const EdgeInsets.all(20),
+          decoration: BoxDecoration(
+            color: Colors.white,
+            borderRadius: BorderRadius.circular(16),
           ),
-          ElevatedButton(
-            onPressed: () {
-              if (alasanController.text.trim().isEmpty) {
-                Get.snackbar(
-                  'Error',
-                  'Alasan pembatalan tidak boleh kosong',
-                  backgroundColor: Colors.red,
-                  colorText: Colors.white,
-                  snackPosition: SnackPosition.BOTTOM,
-                );
-                return;
-              }
+          child: Column(
+            mainAxisSize: MainAxisSize.min,
+            children: [
+              // Header
+              Container(
+                padding: const EdgeInsets.all(16),
+                decoration: BoxDecoration(
+                  color: AppTheme.errorColor.withOpacity(0.1),
+                  borderRadius: BorderRadius.circular(12),
+                ),
+                child: Row(
+                  children: [
+                    Icon(
+                      Icons.warning_amber_rounded,
+                      color: AppTheme.errorColor,
+                      size: 28,
+                    ),
+                    const SizedBox(width: 12),
+                    Expanded(
+                      child: Column(
+                        crossAxisAlignment: CrossAxisAlignment.start,
+                        children: [
+                          const Text(
+                            'Batalkan Penyaluran',
+                            style: TextStyle(
+                              fontSize: 18,
+                              fontWeight: FontWeight.bold,
+                              color: AppTheme.errorColor,
+                            ),
+                          ),
+                          const SizedBox(height: 4),
+                          Text(
+                            'Tindakan ini tidak dapat dibatalkan',
+                            style: TextStyle(
+                              fontSize: 13,
+                              color: Colors.grey.shade700,
+                            ),
+                          ),
+                        ],
+                      ),
+                    ),
+                  ],
+                ),
+              ),
 
-              controller.batalkanPenyaluran(alasanController.text.trim());
-              Get.back();
-            },
-            style: ElevatedButton.styleFrom(
-              backgroundColor: AppTheme.errorColor,
-            ),
-            child: const Text('Batalkan'),
+              const SizedBox(height: 20),
+
+              // Form alasan
+              const Text(
+                'Masukkan alasan pembatalan:',
+                style: TextStyle(
+                  fontSize: 14,
+                  fontWeight: FontWeight.bold,
+                ),
+              ),
+              const SizedBox(height: 12),
+              Obx(() => TextField(
+                    controller: alasanController,
+                    decoration: InputDecoration(
+                      hintText: 'Misalnya: Terjadi kesalahan data penerima...',
+                      hintStyle: TextStyle(
+                        fontSize: 14,
+                        color: Colors.grey.shade500,
+                        fontStyle: FontStyle.italic,
+                      ),
+                      border: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(12),
+                        borderSide: BorderSide(color: Colors.grey.shade300),
+                      ),
+                      errorText: isAlasanEmpty.value
+                          ? 'Alasan tidak boleh kosong'
+                          : null,
+                      errorBorder: OutlineInputBorder(
+                        borderRadius: BorderRadius.circular(12),
+                        borderSide:
+                            const BorderSide(color: AppTheme.errorColor),
+                      ),
+                      contentPadding: const EdgeInsets.all(16),
+                    ),
+                    maxLines: 3,
+                    onChanged: (value) {
+                      if (isAlasanEmpty.value && value.trim().isNotEmpty) {
+                        isAlasanEmpty.value = false;
+                      }
+                    },
+                  )),
+
+              const SizedBox(height: 24),
+
+              // Tombol aksi
+              Row(
+                children: [
+                  Expanded(
+                    child: OutlinedButton(
+                      onPressed: () => Get.back(),
+                      style: OutlinedButton.styleFrom(
+                        padding: const EdgeInsets.symmetric(vertical: 14),
+                        shape: RoundedRectangleBorder(
+                          borderRadius: BorderRadius.circular(12),
+                        ),
+                        side: BorderSide(color: Colors.grey.shade400),
+                        foregroundColor: Colors.grey.shade700,
+                      ),
+                      child: const Text(
+                        'Batal',
+                        style: TextStyle(fontWeight: FontWeight.bold),
+                      ),
+                    ),
+                  ),
+                  const SizedBox(width: 12),
+                  Expanded(
+                    child: ElevatedButton(
+                      onPressed: () {
+                        if (alasanController.text.trim().isEmpty) {
+                          isAlasanEmpty.value = true;
+                          return;
+                        }
+
+                        controller
+                            .batalkanPenyaluran(alasanController.text.trim());
+                        Get.back();
+                      },
+                      style: ElevatedButton.styleFrom(
+                        backgroundColor: AppTheme.errorColor,
+                        foregroundColor: Colors.white,
+                        padding: const EdgeInsets.symmetric(vertical: 14),
+                        elevation: 2,
+                        shape: RoundedRectangleBorder(
+                          borderRadius: BorderRadius.circular(12),
+                        ),
+                      ),
+                      child: const Text(
+                        'Batalkan',
+                        style: TextStyle(fontWeight: FontWeight.bold),
+                      ),
+                    ),
+                  ),
+                ],
+              ),
+            ],
           ),
-        ],
+        ),
       ),
     );
   }
@@ -1783,31 +2261,44 @@ class DetailPenyaluranPage extends StatelessWidget {
 
   // Widget untuk status chip baru
   Widget _buildStatusChipNew(String status) {
-    final Color statusColor;
-    final String statusText;
-
-    if (status.toUpperCase() == 'DITERIMA') {
-      statusColor = AppTheme.successColor;
-      statusText = 'Sudah Menerima';
-    } else {
-      statusColor = AppTheme.warningColor;
-      statusText = 'Belum Menerima';
-    }
+    final bool isDiterima = status.toUpperCase() == 'DITERIMA';
+    final Color statusColor =
+        isDiterima ? AppTheme.successColor : AppTheme.warningColor;
+    final String statusText = isDiterima ? 'Sudah Menerima' : 'Belum Menerima';
+    final IconData statusIcon = isDiterima ? Icons.check_circle : Icons.pending;
 
     return Container(
-      padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+      padding: const EdgeInsets.symmetric(horizontal: 10, vertical: 6),
       decoration: BoxDecoration(
-        color: statusColor.withOpacity(0.2),
+        color: statusColor.withOpacity(0.1),
         borderRadius: BorderRadius.circular(20),
         border: Border.all(color: statusColor.withOpacity(0.3)),
+        boxShadow: [
+          BoxShadow(
+            color: statusColor.withOpacity(0.1),
+            blurRadius: 4,
+            offset: const Offset(0, 1),
+          ),
+        ],
       ),
-      child: Text(
-        statusText,
-        style: TextStyle(
-          fontSize: 12,
-          fontWeight: FontWeight.bold,
-          color: statusColor,
-        ),
+      child: Row(
+        mainAxisSize: MainAxisSize.min,
+        children: [
+          Icon(
+            statusIcon,
+            size: 14,
+            color: statusColor,
+          ),
+          const SizedBox(width: 5),
+          Text(
+            statusText,
+            style: TextStyle(
+              fontSize: 12,
+              fontWeight: FontWeight.bold,
+              color: statusColor,
+            ),
+          ),
+        ],
       ),
     );
   }
diff --git a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
index 88eed0f..827f29e 100644
--- a/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
+++ b/lib/app/modules/petugas_desa/views/konfirmasi_penerima_page.dart
@@ -8,7 +8,7 @@ import 'package:image_picker/image_picker.dart';
 import 'package:signature/signature.dart';
 import 'dart:io';
 import 'dart:typed_data';
-import 'package:penyaluran_app/app/utils/date_time_helper.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 
 class KonfirmasiPenerimaPage extends StatefulWidget {
   final PenerimaPenyaluranModel penerima;
diff --git a/lib/app/modules/petugas_desa/views/pengaduan_view.dart b/lib/app/modules/petugas_desa/views/pengaduan_view.dart
index 8c626a5..acb7ceb 100644
--- a/lib/app/modules/petugas_desa/views/pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/pengaduan_view.dart
@@ -2,7 +2,7 @@ import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/controllers/pengaduan_controller.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
-import 'package:penyaluran_app/app/utils/date_time_helper.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 
 class PengaduanView extends GetView<PengaduanController> {
   const PengaduanView({super.key});
diff --git a/lib/app/modules/petugas_desa/views/penitipan_view.dart b/lib/app/modules/petugas_desa/views/penitipan_view.dart
index 33e9f63..197aff0 100644
--- a/lib/app/modules/petugas_desa/views/penitipan_view.dart
+++ b/lib/app/modules/petugas_desa/views/penitipan_view.dart
@@ -3,7 +3,7 @@ import 'package:get/get.dart';
 import 'package:penyaluran_app/app/data/models/penitipan_bantuan_model.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/controllers/penitipan_bantuan_controller.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
-import 'package:penyaluran_app/app/utils/date_time_helper.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/widgets/dialogs/detail_penitipan_dialog.dart';
 import 'dart:io';
 
